if __name__ == "__main__":
    from .config import Config
    from .db import Database
    from .server import app

    db = Database()
    db.add_user("alice")

    config = Config()
    config.options["port"] = 9003
    config.options["hostname"] = f'lab.batsense.net:{config.options["port"]}'
    app.run(host="0.0.0.0", port=config.options["port"], debug=True)
